/*  ARC - Archive utility - ARC Header

    Version 2.09, created on 11/09/85 at 22:22:05

(C) COPYRIGHT 1985 by System Enhancement Associates; ALL RIGHTS RESERVED

    By:  Thom Henderson

    Description: 
         This is the header file for the ARC archive utility.  It defines
         global parameters and the references to the external data.


    Language:
         Computer Innovations Optimizing C86
*/


struct heads                           /* archive entry header format */
{   char name[13];                /* file name */
    long size;                         /* size of file, in bytes */
    unsigned int date;                 /* creation date */
    unsigned int time;                 /* creation time */
    int crc;                           /* cyclic redundancy check */
    long length;                       /* true file length */
}   ;

extern int keepbak;             /* true if saving the old archive */
extern int warn;                /* true to print warnings */
extern int note;                /* true to print comments */
extern int bose;                /* true to be verbose */
extern int nocomp;              /* true to suppress compression */
extern int kludge;              /* kludge flag */
extern char *arctemp;        /* arc temp file prefix */

extern char hdrver;                      /* header version */

extern FILE *arc;                        /* the old archive */
extern FILE *new;                        /* the new archive */
extern char arcname[100];           /* storage for archive name */
extern char bakname[100];           /* storage for backup copy name */
extern char newname[100];           /* storage for new archive name */
extern unsigned int arcdate;    /* archive date stamp */
extern unsigned int arctime;    /* archive time stamp */
